using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AD.VosacoSDK
{
    // ISDKInitCallback.cs
    public class ISDKInitCallback : AndroidJavaProxy
    {
        public Action<bool, string> onInitResult;

        public ISDKInitCallback() : base("com.rixengine.unity_plugin.ISDKInit") { }

        public void initResult(bool success, string message)
        {
            onInitResult?.Invoke(success, message);
        }
    }
}
